import importlib.util
from typing import Optional

BASE_URI = "http://127.0.0.1:3000"

JWT = None  # type: Optional[str]

SCHEMA = None  # type: Optional[str]

AUTOFETCH = str()

_DJANGO = importlib.util.find_spec("django") is not None

for k in list(globals().keys()):  # list prevents errors on changes
    if k.isupper() and not k.startswith("_"):  # looks like a setting
        if _DJANGO:
            from django.conf import settings as django_settings
            from django.core.exceptions import ImproperlyConfigured
            try:
                new_value = getattr(django_settings, "POSTGREST_UTILS_" + k)
                globals()[k] = getattr(django_settings, "POSTGREST_UTILS_" + k)
            except ImproperlyConfigured:
                pass  # django is installed but not used
            except AttributeError:
                pass  # django is installed and used but the setting is not present
        else:
            import os
            try:
                globals()[k] = os.environ["POSTGREST_UTILS_" + k]
            except KeyError:
                pass  # setting not present
