import os

from setuptools import find_packages, setup

README = open(os.path.join(os.path.dirname(__file__), "README.md")).read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))


setup(
    name='postgrestutils',
    version='1.0.0',
    packages=find_packages(),
    include_package_data=True,
    license='BSD',
    description='Some helpers to use our postgREST API(s)',
    long_description=README,
    url='https://lab.it.hs-hannover.de/tools/postgrestutils',
    author='Fynn Becker',
    author_email='fynn.becker@hs-hannover.de',
    zip_safe=False,
    install_requires=[
        'requests>=2.19.1,<3.0.0'
    ],
    extras_require={
        'dev': [
            'requests-mock'
        ]
    },
    classifiers=[
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.4',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
